
From: <gerg@snapgear.com>

Fixes to the Motorola ColdFire 5282 setup code:

. fix interrupt routine return types to be irqreturn_t
. add DMA base addresses array


---

 25-akpm/arch/m68knommu/platform/5282/config.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/m68knommu/platform/5282/config.c~use-irqreturn_t-in-coldfire-5282-setup-code arch/m68knommu/platform/5282/config.c
--- 25/arch/m68knommu/platform/5282/config.c~use-irqreturn_t-in-coldfire-5282-setup-code	Fri Apr  9 14:33:43 2004
+++ 25-akpm/arch/m68knommu/platform/5282/config.c	Fri Apr  9 14:33:43 2004
@@ -17,6 +17,7 @@
 #include <linux/sched.h>
 #include <linux/param.h>
 #include <linux/init.h>
+#include <linux/interrupt.h>
 #include <asm/dma.h>
 #include <asm/traps.h>
 #include <asm/machdep.h>
@@ -27,7 +28,7 @@
 /***************************************************************************/
 
 void coldfire_pit_tick(void);
-void coldfire_pit_init(void (*handler)(int, void *, struct pt_regs *));
+void coldfire_pit_init(irqreturn_t (*handler)(int, void *, struct pt_regs *));
 unsigned long coldfire_pit_offset(void);
 void coldfire_trap_init(void);
 void coldfire_reset(void);
@@ -41,6 +42,8 @@ unsigned int   dma_base_addr[MAX_M68K_DM
         MCF_MBAR + MCFDMA_BASE0,
 };
 
+unsigned int dma_device_address[MAX_M68K_DMA_CHANNELS];
+
 /***************************************************************************/
 
 void mcf_disableall(void)

_
